Download it now!
Bug 128076 - FILEOPEN DOCX Field name does not appear
Summary: FILEOPEN DOCX Field name does not appear
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.3.0.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.4.0 target:6.3.3
Keywords: bibisected, bisected, regression
Depends on:
Blocks: DOCX-Fields
  Show dependency treegraph
 
Reported: 2019-10-10 14:01 UTC by NISZ LibreOffice Team
Modified: 2019-10-23 12:01 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
The example file in Word and Writer master (80.14 KB, image/png)
2019-10-10 14:01 UTC, NISZ LibreOffice Team
Details
The example file in Writer 6.2 and master (90.12 KB, image/png)
2019-10-10 14:04 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2019-10-10 14:01:36 UTC
Created attachment 154901 [details]
The example file in Word and Writer master

This is split from bug #100525 
While the fields there did not appear correctly on opening the example file ( attachment #154897 [details] ) in 6.3 even the bad import does not really happen.

To reproduce:
1, Open attachment #154897 [details]
2, Notice it does not have the all the field names merged into one field.

Bibisected using bibisect-win32-6.3 to:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=7133af309a810d9caea0cd05cea4f784aac7456b

author	Xisco Fauli <xiscofauli@libreoffice.org>	2019-06-21 19:03:36 +0200
committer	Michael Stahl <Michael.Stahl@cib.de>	2019-06-26 11:51:56 +0200

tdf#125382: Check if pDoc is not null
Comment 1 NISZ LibreOffice Team 2019-10-10 14:04:54 UTC
Created attachment 154902 [details]
The example file in Writer 6.2 and master

It looked a bit differently even if not the way it was in Word in:

Verzió: 6.2.5.2 (x86)
Build az.: 1ec314fa52f458adc18c4f025c545a4e8b22c159
CPU szálak: 4; OS: Windows 6.3; Felületmegjelenítés: alapértelmezett; VCL: win; 
Területi beállítások: hu-HU (hu_HU); UI nyelve: hu-HU
Calc:
Comment 2 Xisco Faulí 2019-10-10 14:55:54 UTC
Reproduced in

Version: 6.4.0.0.alpha0+
Build ID: ae7b26246ec03dbff3d43a0dc04fd9ffd2cd0809
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

I don't know how to fix it though...
Comment 3 Xisco Faulí 2019-10-11 17:14:25 UTC
My take: https://gerrit.libreoffice.org/#/c/80677/
Comment 4 Commit Notification 2019-10-14 10:13:40 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/802d034c55876c9a933206176a7882ac1ae7566e

tdf#128076: throw exception only if it's not alive and it's not a description

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2019-10-15 08:57:18 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/52485e1f3464ab69b38d2e240c8c364d6b78ceb8

tdf#128076: throw exception only if it's not alive and it's not a description

It will be available in 6.3.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2019-10-23 11:51:07 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-6-3-3":

https://git.libreoffice.org/core/commit/c3dbf906a72a8b7a6d1bf47aa980cf6fd7426e94

tdf#128076: throw exception only if it's not alive and it's not a description

It will be available in 6.3.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.